---
- name: Install nfs-kernel-server
  ansible.builtin.apt:
    pkg:
      - nfs-kernel-server
    state: present

- name: "Create {{ nfs_server_bind_mounts }}"
  ansible.builtin.file:
    path: "{{ item.path }}"
    state: directory
    recurse: true
  loop: "{{ nfs_server_bind_mounts }}"

- name: "Mount {{ nfs_server_bind_mounts }}"
  ansible.posix.mount:
    path: "{{ item.path }}"
    src: "{{ item.src }}"
    opts: bind
    state: mounted
    fstype: none
  loop: "{{ nfs_server_bind_mounts }}"

- name: Configure /etc/exports
  ansible.builtin.template:
    src: etc/exports.j2
    dest: /etc/exports
    mode: 0644
  notify: Reexport NFS file systems
